# Interface TaskActionListener

public interface TaskActionListener

A `TaskActionListener` is notified of the actions that a task performs.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterActions(Task task)`
This method is called immediately after the task has completed performing its actions.
`void`
`beforeActions(Task task)`
This method is called immediately before the task starts performing its actions.

## Method Details

### beforeActions

void beforeActions(Task task)
This method is called immediately before the task starts performing its actions.

Parameters:
  `task` - The task which is to perform some actions.

### afterActions

void afterActions(Task task)
This method is called immediately after the task has completed performing its actions.

Parameters:
  `task` - The task which has performed some actions.